Nerovision Express 6 and Dx9 error

Installed Nero ultra 6
Cannot install Nerovision Express 20114 download says direct x 9.0a or above not install when it is!
Looking on the web Ahead don’t see this as a problem
I do I won’t buy a program unless I can get it to work sort of properly
look as thought Ahead from ver 5 good stable program to garbage in ultra 6 what you guys reckon should I persever
or try something else?

main package is not bad but dosn’t seem to do 1:1 copies of under 4.7g files it find bad files??? fortunately before it try to burn the disk!
what’s the poll thumbs up or thumbs down